# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dftsg/version'

Gem::Specification.new do |spec|
  spec.name          = "dftsg"
  spec.version       = Dftsg::VERSION
  spec.authors       = ['Christopher John Morris']
  spec.email         = %w(christopher.morris@dafiti.com.br)

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'http://rubygems.org'
  end

  spec.summary       = 'Simple Swift Style Guide analyzer'
  spec.description   = 'A Swift Style Guide analyzer that generates a report showing how well a file or files conform to the Style Guide.'
  spec.homepage      = 'http://rubygems.org'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = %w(lib)

  spec.add_development_dependency 'bundler', '~> 1.8'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_dependency "commander", "~> 4.2.0"
  
end
